# Class gmfLidarFooter

This is a base element.

That includes:

- i18next initialization.
- Bootstrap (custom build + color in vars), Font Awesome, reset and some custom style.
- Configuration directly available by overriding the `initConfig` method.
- RXJS subscription added to subscriptions are unsubscribe on element removal. Example:

       import {html, css} from 'lit';
       import {customElement} from 'lit/decorators.js';

       // @ts-ignore
       @customElement('my-element')
       export default class MyElement extent (window as any).gmfapi.elements.BaseElement {
         static styles = [
           ...(window as any).gmfapi.elements.BaseElement.styles,
           css`...`
         ];

         initConfig(configuration: Any): void {
           ...
         };

         render(): TemplateResult {
           return html`${this.getTitle(i18next.t('Title'))}
             your template`
         }
       }

#### Hierarchy

- default
  - gmfLidarFooter

- Defined in src/lidar/FooterElement.ts:34

#####
Index

### Constructors

constructor

### Properties

bootstrapStyle
bootstrapVarStyle
commonStyle
fontawesomeStyle
resetStyle
styles

### Methods

closePanel
connectedCallback
disconnectedCallback
initConfig
mozRequestFullScreen
mozRequestFullScreenWithKeys
msRequestFullscreen
render
webkitRequestFullscreen

## Constructors

### constructor

- new gmfLidarFooter(): gmfLidarFooter

- #### Returns gmfLidarFooter

  Inherited from default.constructor

  - Defined in node_modules/@lit/reactive-element/reactive-element.d.ts:487

## Properties

### `Static` bootstrapStyle

bootstrapStyle: CSSResult = ...

Inherited from default.bootstrapStyle

- Defined in srcapi/elements/BaseElement.ts:73

### `Static` bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

Inherited from default.bootstrapVarStyle

- Defined in srcapi/elements/BaseElement.ts:82

### `Static` commonStyle

commonStyle: CSSResult = ...

Inherited from default.commonStyle

- Defined in srcapi/elements/BaseElement.ts:112

### `Static` fontawesomeStyle

fontawesomeStyle: CSSResult = ...

Inherited from default.fontawesomeStyle

- Defined in srcapi/elements/BaseElement.ts:76

### `Static` resetStyle

resetStyle: CSSResult = ...

Inherited from default.resetStyle

- Defined in srcapi/elements/BaseElement.ts:70

### `Static` styles

styles: CSSResult[] = ...

Overrides default.styles

- Defined in src/lidar/FooterElement.ts:59

## Methods

### closePanel

- closePanel(): void

- Reset the line and close the footer

  #### Returns void

  - Defined in src/lidar/FooterElement.ts:152

### connectedCallback

- connectedCallback(): void

- #### Returns void

  Overrides default.connectedCallback

  - Defined in src/lidar/FooterElement.ts:38

### disconnectedCallback

- disconnectedCallback(): void

- #### Returns void

  Inherited from default.disconnectedCallback

  - Defined in srcapi/elements/BaseElement.ts:166

### initConfig

- initConfig(configuration: Configuration): void

- #### Parameters

  - ##### configuration: Configuration

  #### Returns void

  Overrides GmfBaseElement.initConfig

  - Defined in src/lidar/FooterElement.ts:53

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.msRequestFullscreen

  - Defined in types/dom.d.ts:27

### render

- render(): TemplateResult<ResultType>

- #### Returns TemplateResult<ResultType>

  Overrides GmfBaseElement.render

  - Defined in src/lidar/FooterElement.ts:127

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?: number): Promise<void>

- #### Parameters

  - ##### `Optional` allowKeyboardInput: number

  #### Returns Promise<void>

  Inherited from default.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

Generated using TypeDoc